FROM python:3.9.0 as BUILD
COPY requirements.txt .
RUN pip install -r requirements.txt
COPY mkdocs.yml .
COPY docs docs
RUN mkdocs build

FROM nginx:latest
COPY --from=BUILD /site/ /usr/share/nginx/html/
